# Uses of Annotation Interface
java.beans.Transient

Packages that use Transient
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.geom
Provides the Java 2D classes for defining and performing operations on objects related to two-dimensional geometry.
java.awt.im
Provides classes and interfaces for the input method framework.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of Transient in java.awt

Methods in java.awt with annotations of type Transient
Modifier and Type
Method
Description
`Color`
Component.`getBackground()`
Gets the background color of this component.
`Rectangle`
Rectangle.`getBounds()`
Gets the bounding `Rectangle` of this `Rectangle`.
`Font`
Component.`getFont()`
Gets the font of this component.
`Color`
Component.`getForeground()`
Gets the foreground color of this component.
`Point`
Point.`getLocation()`
Returns the location of this point.
`Point`
ScrollPane.`getScrollPosition()`
Returns the current x,y position within the child which is displayed at the 0,0 location of the scrolled panel's view port.
`Dimension`
Dimension.`getSize()`
Gets the size of this `Dimension` object.
`boolean`
Component.`isVisible()`
Determines whether this component should be visible when its parent is visible.

## Uses of Transient in java.awt.geom

Methods in java.awt.geom with annotations of type Transient
Modifier and Type
Method
Description
`Rectangle2D`
RectangularShape.`getFrame()`
Returns the framing `Rectangle2D` that defines the overall shape of this object.

## Uses of Transient in java.awt.im

Methods in java.awt.im with annotations of type Transient
Modifier and Type
Method
Description
`boolean`
InputContext.`isCompositionEnabled()`
Determines whether the current input method is enabled for composition.

## Uses of Transient in javax.swing

Methods in javax.swing with annotations of type Transient
Modifier and Type
Method
Description
`int`
DefaultListSelectionModel.`getAnchorSelectionIndex()`
Return the first index argument from the most recent call to setSelectionInterval(), addSelectionInterval() or removeSelectionInterval().
`ListCellRenderer<? super E>`
JList.`getCellRenderer()`
Returns the object responsible for painting list items.
`JViewport`
JScrollPane.`getColumnHeader()`
Returns the column header.
`Icon`
AbstractButton.`getDisabledIcon()`
Returns the icon used by the button when it's disabled.
`Icon`
JLabel.`getDisabledIcon()`
Returns the icon used by the label when it's disabled.
`Dimension`
JViewport.`getExtentSize()`
Returns the size of the visible part of the view in view coordinates.
`JMenu`
JMenuBar.`getHelpMenu()`
Gets the help menu for the menu bar.
`JScrollBar`
JScrollPane.`getHorizontalScrollBar()`
Returns the horizontal scroll bar that controls the viewport's horizontal view position.
`Image`
ImageIcon.`getImage()`
Returns this icon's `Image`.
`ImageObserver`
ImageIcon.`getImageObserver()`
Returns the image observer for the image.
`int`
DefaultListSelectionModel.`getLeadSelectionIndex()`
Return the second index argument from the most recent call to setSelectionInterval(), addSelectionInterval() or removeSelectionInterval().
`Dimension`
JComponent.`getMaximumSize()`
If the maximum size has been set to a non-`null` value just returns it.
`Dimension`
JComponent.`getMinimumSize()`
If the minimum size has been set to a non-`null` value just returns it.
`Dimension`
JComponent.`getPreferredSize()`
If the `preferredSize` has been set to a non-`null` value just returns it.
`JViewport`
JScrollPane.`getRowHeader()`
Returns the row header.
`Component`
JTabbedPane.`getSelectedComponent()`
Returns the currently selected component for this tabbedpane.
`int`
JComboBox.`getSelectedIndex()`
Returns the first item in the list that matches the given item.
`int`
JTabbedPane.`getSelectedIndex()`
Returns the currently selected index for this tabbedpane.
`int[]`
JList.`getSelectedIndices()`
Returns an array of all of the selected indices, in increasing order.
`ComponentUI`
JComponent.`getUI()`
Returns the look and feel delegate that renders this component.
`JScrollBar`
JScrollPane.`getVerticalScrollBar()`
Returns the vertical scroll bar that controls the viewports vertical view position.

## Uses of Transient in javax.swing.table

Methods in javax.swing.table with annotations of type Transient
Modifier and Type
Method
Description
`TableCellRenderer`
JTableHeader.`getDefaultRenderer()`
Returns the default renderer used when no `headerRenderer` is defined by a `TableColumn`.

## Uses of Transient in javax.swing.text

Methods in javax.swing.text with annotations of type Transient
Modifier and Type
Method
Description
`Caret`
JTextComponent.`getCaret()`
Fetches the caret that allows text-oriented navigation over the view.
`int`
JTextComponent.`getCaretPosition()`
Returns the position of the text insertion caret for the text component.
`int`
JTextComponent.`getSelectionEnd()`
Returns the selected text's end position.
`int`
JTextComponent.`getSelectionStart()`
Returns the selected text's start position.

## Uses of Transient in javax.swing.tree

Methods in javax.swing.tree with annotations of type Transient
Modifier and Type
Method
Description
`void`
DefaultMutableTreeNode.`setParent(MutableTreeNode newParent)`
Sets this node's parent to `newParent` but does not change the parent's child array.